<?php

namespace app\ViewModels\PagamentoOnline\PagamentoCartaoRegistationViewModel;

use App\Utils\Entity;

class PagamentoCartãoRegistrationViewModel extends Entity {
	
	protected $idUsuario;	
	protected $numeroCartao;
	protected $titularCartao;
	protected $titularCpf;
	protected $mesValidae;
	protected $anoValidade;
	protected $cvv;
	protected $itens;

	public static function builder() {


	}
	/**
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->idUsuario;
	}


	/**
	 * @return mixed
	 */
	public function getNumeroCartao() {

		return $this->numeroCartao;
	}


	/**
	 * @return mixed
	 */
	public function getTitularCartao() {

		return $this->titularCartao;
	}


	/**
	 * @return mixed
	 */
	public function getTitularCpf() {

		return $this->titularCpf;
	}


	/**
	 * @return mixed
	 */
	public function getMesValidae() {

		return $this->mesValidae;
	}


	/**
	 * @return mixed
	 */
	public function getAnoValidade() {

		return $this->anoValidade;
	}


	/**
	 * @return mixed
	 */
	public function getCvv() {

		return $this->cvv;
	}


	/**
	 * @return mixed
	 */
	public function getItens() {

		return $this->itens;
	}


	/**
	 * @param mixed $idUsuario
	 */
	public function setIdUsuario($idUsuario) {

		$this->idUsuario = $idUsuario;
	}


	/**
	 * @param mixed $numeroCartao
	 */
	public function setNumeroCartao($numeroCartao) {

		$this->numeroCartao = $numeroCartao;
	}


	/**
	 * @param mixed $titularCartao
	 */
	public function setTitularCartao($titularCartao) {

		$this->titularCartao = $titularCartao;
	}


	/**
	 * @param mixed $titularCpf
	 */
	public function setTitularCpf($titularCpf) {

		$this->titularCpf = $titularCpf;
	}


	/**
	 * @param mixed $mesValidae
	 */
	public function setMesValidae($mesValidae) {

		$this->mesValidae = $mesValidae;
	}


	/**
	 * @param mixed $anoValidade
	 */
	public function setAnoValidade($anoValidade) {

		$this->anoValidade = $anoValidade;
	}


	/**
	 * @param mixed $cvv
	 */
	public function setCvv($cvv) {

		$this->cvv = $cvv;
	}


	/**
	 * @param mixed $itens
	 */
	public function setItens($itens) {

		$this->itens = $itens;
	}



}

